# class MimetypeJob |
Full name | `KIO::MimetypeJob`
Definition | `#include <jobclasses.h>`
Inherits | KIO::TransferJob [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- MimetypeJob (const KURL& url, int command, const QByteArray &packedArgs, bool showProgressInfo)
- QString mimetype () const
- virtual void start ( Slave *slave )

#### Protected Slots

- virtual void slotFinished ( )

## Detailed Description

MimetypeJob (const KURL& url, int command, const QByteArray &packedArgs, bool showProgressInfo) | ### MimetypeJob

QString mimetype () | ### mimetype

[const]

Call this in the slot connected to result, and only after making sure no error happened.

Reimplemented from TransferJob.

void start ( Slave *slave ) | ### start

[virtual]

Called by the scheduler when a slave gets to work on this job.

Reimplemented from TransferJob.

void slotFinished ( ) | ### slotFinished

[protected slots virtual slot]

Reimplemented from TransferJob.

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:40:40 2001, using kdoc 2.0a53.